# Changelog

All notable changes to the project `doibanner` are documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project does __not__ adhere to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).


<!-- ## [Unreleased] -->


## [0.2] - \[2024-07-23\]

Initial release of [this package on the Comprehensive TeX Archive Network (CTAN)](https://www.ctan.org/pkg/doibanner)

The package contains a revised version of the `doi.sty` and `tutorial/doi.tex`
files. Since the previous material was not publicly available, the changes
listed below are mainly to ensure that I myself do not forget how the structure
of the package has changed.

### Added

- `CHANGELOG.md` file to document all notable changes to this project.
- `example/doibanner_example.tex` and resulting standalone as `png` to act as teaser.
- `build.lua` script to install and manage this package via `i3build`.
- `doibanner.dtx` and `doibanner.ins`, which contains a revised melange of the
    files `src/doi.sty` and `tutorial/doi.tex`

### Fixed

-  trailing whitespace from banner and link generated by doibanner and doiurl, respectively
-  definition of `urlbase` as package option

### Removed

- `\doi` macro, `\doiurl` and `\doibanner` have a mandatory argument beginning
    with this version (breaking change)
- `src/doi.sty` and `tutorial/doi.tex` files, the package was converted into
    `doibanner.dtx`, which allows unpacking the `doibanner.sty` file from it,
    and can be compiled in order to obtain a package documentation.


## [0.1] - \[2021/05/09\]

Initial version of this package.


<!-- [unreleased]: https://codeberg.org/Cs137/doibanner/compare/v0.2...HEAD -->
[0.2]: https://codeberg.org/Cs137/doibanner/releases/tag/v0.2
[0.1]: https://codeberg.org/Cs137/doibanner/releases/tag/v0.1

